Summary:	X.org input driver for Linux generic event devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych generujących zdarzenia
Name:		xorg-driver-input-evdev
Version:	2.9.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-evdev-%{version}.tar.bz2
# Source0-md5:	99eebf171e6c7bffc42d4fc430d47454
Source1:	evdev.conf
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libevdev-devel >= 0.4
BuildRequires:	libtool
BuildRequires:	mtdev-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-proto-inputproto-devel >= 2.2
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.12
%{?requires_xorg_xserver_xinput}
Requires:	libevdev >= 0.4
Requires:	xorg-xserver-server >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Linux generic event devices. It supports all
input devices that the kernel knows about, including most mice and
keyboards.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych
generujących zdarzenia. Obsługuje wszystkie urządzenia wejściowe znane
przez jądro, w tym większość myszy i klawiatur.

%package devel
Summary:	Header file for evdev driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika evdev
Group:		Development/Libraries

%description devel
Header file for evdev driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika evdev.

%prep
%setup -q -n xf86-input-evdev-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
cp -p %{SOURCE1}  $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/10-evdev.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xorg.conf.d/10-evdev.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/evdev-properties.h
%{_pkgconfigdir}/xorg-evdev.pc
%changelog
* Wed Jul 22 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-input-evdev.git;a=log;h=c068ef722939201510fb9697740abde728aeed56

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> c068ef7
- updated to 2.9.2

* Fri Nov 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 01c3eb4
- updated to 2.9.1

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 38bce88
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 139544f
- xserver rebuild
- release 2 (by relup.sh)

* Tue May 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> aada7f2
- up to 2.9.0

* Thu May 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f220b1d
- up to 2.8.4

* Tue Apr 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 44bed2e
- up to 2.8.3

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 59a7711
- release 3 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> cd16951
- release 2 (by relup.sh)

* Mon Oct 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ce425e6
- up to 2.8.2

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c379d85
- up to 2.8.1

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> 3f5b866
- add sample how to restore x11 zap

* Tue Mar 26 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5111764
- up to 2.8.0

* Wed Mar 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e71f4a
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34b1d30
- release 2 (by relup.sh)

* Tue Aug 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> d2313c0
- updated to 2.7.3

* Mon Aug 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4a04f97
- updated to 2.7.2

* Wed Jul 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 6028d49
- updated to 2.7.1
- adjusted BRs to ensure mtdev support is built

* Wed Mar 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 768c671
- updated minimal xserver version
- BR: udev-devel

* Wed Mar 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e7e3b13
- up to 2.7.0

